<?php
   
/**
* @see system_settings_form();
*/
   
   function slider_admin_settings(){
	  
	//Select Image Style
	  $preset = image_styles();
	  $style_options = array();

	  foreach($preset as $key => $value){
	    $style_options[$key] = $key;
	  }
	  
	  $form['style'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Image Style Settings'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
	  ); 
	  
	  $form['style']['work_image'] = array(
		  '#type' => 'radios',
		  '#title' => t('Use Image Style'),
		  '#description' => t('Select an option to work with images'),
		  '#options' => array(
			  'yes' => t('Be used preset Image Style'),
			  'no' => t('Use the original image')
		  ),
		  '#default_value' => variable_get('work_image', 'no')
		  
	  );
	  
	  $form['style']['image_style'] = array(
		  '#type' => 'select',
		  '#options' => $style_options,
		  '#title' => t('Image Style'),
		  '#description' => t('Select the desired image styles'),
		  '#default_value' => variable_get('image_style', 'large'),
		  '#states' => array(
			  'invisible' => array(
				'input[name="work_image"]' => array('value' => 'no'),
			  )
		  )
	 );
	  	  
	//Effects
	  $form['effects_slider'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Effect settings slider'),
		  '#description' => t('Select the desired effects for the slider'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE
	  );
	  
	//Slider effects
	  $form['effects_slider']['slider_effects'] = array(
	     '#type' => 'select',
		 '#options' => array(
			'default' => 'default',
			'simple' => 'simple',
			'left' => 'left',
			'up' => 'up',
			'leftright' => 'leftright',
			'updown' => 'updown',
			'switchlr' => 'switchlr',
			'switchud' => 'switchud',
			'fliplr' => 'fliplr',
			'flipud' => 'flipud',
			'reduce' => 'reduce',
			'360' => '360',
		 ),
		 '#title' => t('animation effect'),
		 '#description' => t('Select an animation slide'),
		 '#default_value' => variable_get('slider_effects', 0)
	  );
	
	//Auto
	  $auto_options = array(
		'yes' => t('Enable auto scrolling slideshow'),
		'no' => t('Do not include auto scrolling slideshow')
	  );
	  
	  $form['effects_slider']['auto_slide'] = array(
		'#type' => 'radios',
		'#title' => t('Autoscroll slideshow'),
		'#description' => t('This option enables / disables the automatic scrolling slide after the page loads'),
		'#options' => $auto_options,
		'#default_value' => variable_get('auto_slide', 'no')
	  );
	  
	//Bullets
	  $options_bullet = array(
	    'yes' => t('Use numbered slides. Enabling this option disables the setting of slide thumbnails'),
		'no' => t('Do not use numbering slides')
	  );
	  
	  $form['effects_slider']['bullets'] = array(
		'#type' => 'radios',
		'#title' => t('Using slide numbering'),
		'#description' => t('This option enables / disables the display of thumbs below the slider'),
		'#options' => $options_bullet,
		'#default_value' => variable_get('bullets', 'no')
	  );
	
	//Thumbs
	  $options_thumbs = array(
		'yes' => t('Show slide thumbnails when you hover'),
		'no' => t('Skip slide thumbnails when you hover')
	  );
	  
	  $form['effects_slider']['thumbs'] = array(
		'#type' => 'radios',
		'#title' => t('Slide thumbnails'),
		'#description' => t('This option enables / disables the slideshow hover. This option does not work if you are using "numbering slides"'),
		'#options' => $options_thumbs,
		'#default_value' => variable_get('thumbs', 'yes')
	  );
	
	//Thumbs size
	  $form['effects_slider']['thumbs_size'] = array(
		'#type' => 'textfield',
		'#title' => t('Preview size'),
		'#description' => t('Enter the desired size of the preview show. The size is given in% of osnovonom image. The default is 25. % Sign, you need not'),
		'#default_value' => variable_get('thumbs_size', 25),
		'#size' => '6',
		'#states' => array(
		  'invisible' => array(
		   'input[name="thumbs"]' => array('value' => 'no'),
		  )
		)
	  );
	
	//Settings for block slider
	  $form['setblock'] = array(
	    '#type' => 'fieldset',
		'#title' => t('Settings slider block'),
		'#description' => t('Enter the settings for the slider block'),
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	  );

	//Width block
	$form['setblock']['slider_width'] = array(
		'#type' => 'textfield',
		'#title' => t('Block width slider'),
		'#description' => t('Enter the width of the block slider in px'),
		'#size' => '6',
		'#default_value' => variable_get('slider_width', 480)
	);

	//Height block
	$form['setblock']['slider_height'] = array(
		'#type' => 'textfield',
		'#title' => t('Block height slider'),
		'#description' => t('Enter the height of the slider block in px'),
		'#size' => '6',
		'#default_value' => variable_get('slider_height', 280)
	);
	return system_settings_form($form);
   }

   
/**
* Implements hook_validate
*/
   
   function slider_admin_settings_validate($form, $form_state){
   
      $valwidth = $form_state['values']['slider_width'];
	  $valheight = $form_state['values']['slider_height'];
	  $valthumb_size = $form_state['values']['thumbs_size'];
	  
	  if(!is_numeric($valwidth)){
	     form_set_error('slider_width', 'Please enter the numbers');
	  }
	  if(!is_numeric($valheight)){
	     form_set_error('slider_height', 'Please enter the numbers');
	  }
	  if(!is_numeric($valthumb_size)){
		 form_set_error('thumbs_size', 'Please enter the numbers');
	  };
	
	}